[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoExit

Signals the OnExit event handler (when assigned) when the control loses focus.

## Declaration

Source position: controls.pp line 2258

`protected procedure TWinControl.DoExit; virtual;`

## Description

DoExit is called from the CMExit method when a CM_EXIT message is received for the control. The event handler allows actions to be performed when the control loses focus, either by using keyboard navigation or by mouse click in the client area for another control.

## See also

TWinControl.OnExit |  | Event handler signalled when the control loses focus.
TWinControl.CMExit |  | Handles the CM_EXIT control message for the control.
TWinControl.DoEnter |  | Signals the OnEnter event handler (when assigned) when the control receives focus.
TWinControl.OnEnter |  | Event handler signalled when the control receives focus.